### Signal

# WPEPlatform View::event

#### Declaration

    gboolean
    event (
      WPEView* self,
      WPEEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted when an input event is received on `view`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`event`

  Type: `WPEEvent`

  A `WPEEvent`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to indicate that the event has been handled.